Debian Bug report logs - #706890
ITA: haproxy -- fast and reliable load balancing reverse proxy

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Ricardo Mones <mones@debian.org>

Date: Sun, 5 May 2013 20:51:01 UTC

Owned by: Vincent Bernat <bernat@debian.org>

Severity: normal

Fixed in version haproxy/1.4.23-1

Done: Vincent Bernat <bernat@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, crito@30loops.net, wnpp@debian.org:
Bug#706890; Package wnpp. (Sun, 05 May 2013 20:51:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ricardo Mones <mones@debian.org>:
New Bug report received and forwarded. Copy sent to crito@30loops.net, wnpp@debian.org. (Sun, 05 May 2013 20:51:06 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Ricardo Mones <mones@debian.org>
To: submit@bugs.debian.org
Subject: O: haproxy -- fast and reliable load balancing reverse proxy
Date: Sun, 5 May 2013 22:46:43 +0200
[Message part 1 (text/plain, inline)]
Package: wnpp
Severity: normal

The current maintainer of haproxy, Christo Buschek <crito@30loops.net>,
is apparently not active anymore.  Therefore, I orphan this package now.

Maintaining a package requires time and skills. Please only adopt this
package if you will have enough time and attention to work on it.

If you want to be the new maintainer, please see
http://www.debian.org/devel/wnpp/index.html#howto-o for detailed
instructions how to adopt a package properly.

Some information about this package:

Package: haproxy
Binary: haproxy
Version: 1.4.15-1
Maintainer: Christo Buschek <crito@30loops.net>
Uploaders: Arnaud Cornet <acornet@debian.org>
Build-Depends: debhelper (>= 7.0.50~), libpcre3-dev, quilt (>= 0.46-7~)
Architecture: any
Standards-Version: 3.9.1
Format: 3.0 (quilt)
Files:
 f28996560187809e32a7b5495bf8c7ff 1088 haproxy_1.4.15-1.dsc
 c1b4fc6028c6d8e23dde8c91ff47eabe 812293 haproxy_1.4.15.orig.tar.gz
 943db2dfee37f7f31dfed54e92fc199e 7178 haproxy_1.4.15-1.debian.tar.gz
Checksums-Sha1:
 bfa24956454a2e0f6d6690f7b0140b5619a3c9be 1088 haproxy_1.4.15-1.dsc
 8c42bc8c7d3714061b6fb74b0e3565d1e672556f 812293 haproxy_1.4.15.orig.tar.gz
 dbe1853c8f30719f274974359a74f0b2f0d83165 7178 haproxy_1.4.15-1.debian.tar.gz
Checksums-Sha256:
 9ce760987bedf4b3681fba4b10c68b9aa76c51f54743146c56565f496c3daf27 1088 haproxy_1.4.15-1.dsc
 4baebfe0a5a9220f77d9175b2e711dc8985bbb696d11c38033cc0e94e3cca93a 812293 haproxy_1.4.15.orig.tar.gz
 80d15216861ce774adb5d6ef1043090fde8cb041512b20e8f1a71341021638a2 7178 haproxy_1.4.15-1.debian.tar.gz
Homepage: http://haproxy.1wt.eu/
Directory: pool/main/h/haproxy
Priority: source
Section: net

Package: haproxy
Version: 1.4.15-1
Installed-Size: 1116
Maintainer: Christo Buschek <crito@30loops.net>
Architecture: armel
Depends: libc6 (>= 2.5), libgcc1 (>= 1:4.4.0), libpcre3 (>= 8.10), adduser
Description-en: fast and reliable load balancing reverse proxy
 HAProxy is a TCP/HTTP reverse proxy which is particularly suited for high
 availability environments. It features connection persistence through HTTP
 cookies, load balancing, header addition, modification, deletion both ways. It
 has request blocking capabilities and provides interface to display server
 status.
Homepage: http://haproxy.1wt.eu/
Description-md5: 29390feb7563fd9f1e74f245bf31a64c
Tag: implemented-in::c, role::program, use::proxying
Section: net
Priority: optional
Filename: pool/main/h/haproxy/haproxy_1.4.15-1_armel.deb
Size: 536492
MD5sum: 57ca57adbbff62d508bf7a2aa7751dbc
SHA1: 8c34af7bf364f49441fb5c28c1d53c088cf7625b
SHA256: 29f8e15014b839081a8ff5608247f2265162fe02d7e242bffe2e0302ac329823


-- 
 Ricardo Mones, on behalf of Debian QA/MIA team
 http://people.debian.org/~mones
 «Never send a human to do a machine's job.» ~ Agent Smith
[signature.asc (application/pgp-signature, inline)]

Changed Bug title to 'ITA: haproxy -- fast and reliable load balancing reverse proxy' from 'O: haproxy -- fast and reliable load balancing reverse proxy' Request was from Vincent Bernat <bernat@debian.org> to control@bugs.debian.org. (Mon, 06 May 2013 05:27:07 GMT) Full text and rfc822 format available.

Owner recorded as Vincent Bernat <bernat@debian.org>. Request was from Simó Albert i Beltran <sim6@probeta.net> to control@bugs.debian.org. (Mon, 06 May 2013 17:33:04 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Mon, 06 May 2013 20:09:15 GMT) Full text and rfc822 format available.

Reply sent to Vincent Bernat <bernat@debian.org>:
You have taken responsibility. (Fri, 10 May 2013 15:03:59 GMT) Full text and rfc822 format available.

Notification sent to Ricardo Mones <mones@debian.org>:
Bug acknowledged by developer. (Fri, 10 May 2013 15:03:59 GMT) Full text and rfc822 format available.

Message #16 received at 706890-close@bugs.debian.org (full text, mbox):

From: Vincent Bernat <bernat@debian.org>
To: 706890-close@bugs.debian.org
Subject: Bug#706890: fixed in haproxy 1.4.23-1
Date: Fri, 10 May 2013 15:00:12 +0000
Source: haproxy
Source-Version: 1.4.23-1

We believe that the bug you reported is fixed in the latest version of
haproxy, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 706890@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Vincent Bernat <bernat@debian.org> (supplier of updated haproxy package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Mon, 06 May 2013 20:02:14 +0200
Source: haproxy
Binary: haproxy vim-haproxy
Architecture: source amd64 all
Version: 1.4.23-1
Distribution: unstable
Urgency: low
Maintainer: Debian HAProxy Maintainers <pkg-haproxy-maintainers@lists.alioth.debian.org>
Changed-By: Vincent Bernat <bernat@debian.org>
Description: 
 haproxy    - fast and reliable load balancing reverse proxy
 vim-haproxy - syntax highlighting for HAProxy configuration files
Closes: 641762 643650 649085 674447 678953 702893 704611 706890
Changes: 
 haproxy (1.4.23-1) unstable; urgency=low
 .
   [ Apollon Oikonomopoulos ]
   * New upstream version (Closes: #643650, #678953)
      + This fixes CVE-2012-2942 (Closes: #674447)
      + This fixes CVE-2013-1912 (Closes: #704611)
   * Ship vim addon as vim-haproxy (Closes: #702893)
   * Check for the configuration file after sourcing /etc/default/haproxy
     (Closes: #641762)
   * Use /dev/log for logging by default (Closes: #649085)
 .
   [ Vincent Bernat ]
   * debian/control:
      + add Vcs-* fields
      + switch maintenance to Debian HAProxy team. (Closes: #706890)
      + drop dependency to quilt: 3.0 (quilt) format is in use.
   * debian/rules:
      + don't explicitly call dh_installchangelog.
      + use dh_installdirs to install directories.
      + use dh_install to install error and configuration files.
      + switch to `linux2628` Makefile target for Linux.
   * debian/postrm:
      + remove haproxy user and group on purge.
   * Ship a more minimal haproxy.cfg file: no `listen` blocks but `global`
     and `defaults` block with appropriate configuration to use chroot and
     logging in the expected way.
 .
   [ Prach Pongpanich ]
   * debian/copyright:
      + add missing copyright holders
      + update years of copyright
   * debian/rules:
      + build with -Wl,--as-needed to get rid of unnecessary depends
   * Remove useless files in debian/haproxy.{docs,examples}
   * Update debian/watch file, thanks to Bart Martens
Checksums-Sha1: 
 f398a8443724f3c6896237fb3b76dc93d66a47f9 2059 haproxy_1.4.23-1.dsc
 841c6d0f9ad3fcbc7b01c17e40edc980853790f4 835938 haproxy_1.4.23.orig.tar.gz
 6b8e87da4539b611f29de0570f37838183bd2010 9245 haproxy_1.4.23-1.debian.tar.gz
 35034c465055b451632d5424a8e9fecf795bcdfb 417024 haproxy_1.4.23-1_amd64.deb
 ccae0ca7b65097044054fc2585091895a3c2d85d 50018 vim-haproxy_1.4.23-1_all.deb
Checksums-Sha256: 
 cae90ad3fb7f2e0847b38822c94935ec0495200fb9001380e77e2e8e5b579e28 2059 haproxy_1.4.23-1.dsc
 8d0676027a0eca9d1eb8409977ae916fe94913fbbcaf7c278021cc21d897ee6d 835938 haproxy_1.4.23.orig.tar.gz
 745697404c2c5ed82fa5065da79deead850917bd399005e0167d1a07b16bc3a1 9245 haproxy_1.4.23-1.debian.tar.gz
 a69b2f7dc09bb9207882d42b332e4e3577be71b1c2605fc417402227165049ac 417024 haproxy_1.4.23-1_amd64.deb
 eb4a5dbc00ecf8ff1e4f733cf4618df9d638be6ea244e0d063fede3279d5b52d 50018 vim-haproxy_1.4.23-1_all.deb
Files: 
 cf8b6676bd27d1c65ee633a4d65e6ecf 2059 net optional haproxy_1.4.23-1.dsc
 5803664782f8f1692ccbbd03555061f1 835938 net optional haproxy_1.4.23.orig.tar.gz
 3f5d5dd4463792e585bc1d493574f41e 9245 net optional haproxy_1.4.23-1.debian.tar.gz
 17e1d62b7c1107b1917a2636578c01c9 417024 net optional haproxy_1.4.23-1_amd64.deb
 94e059c7a6af20461f6693500a4ea987 50018 net optional vim-haproxy_1.4.23-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIcBAEBCAAGBQJRh/NaAAoJEJWkL+g1NSX5o8QP/inbDHXysUDT5McNBbKjvgVK
/pUUF1yU08ra2dOPHHKWBzdS2WwnZiULuuIsOrE7NRiyLCNUqnhL8rSQmVwlI0I+
vmi9yXmO21FfMxV0O8mOqxLZk4gIR1zDSGviT2AIjg/kIsHsH2gryG1KPvriCIzV
DcVLzW+x7lI+zm71GGC+QbbcaHzpzoU8YTckPoHx8zcCcOsr4Q4gFzK1MIRucCdj
109pFTu/nQYtTYRL/zM4pnd26ENDQaOjC0+NSPeVIEn5BMbXr6TDvK5Kdd5jWEYZ
7MPE6b2/49DWVBC2lbqu/zuqfNjiy6PkSx2j3EVEkw3U9kqO8cwIG5pYUvrmDgOo
IVmhdcQ2weZIsS9nws/I+DT3uiIe5ezo0tmTXE3wuD/zqHMWHRe2b+++1DTs+jyj
Ky5XaSQLd7+T4Te2JRCheWBR1OB+8er+Tk4ffY3233vy2ToMAGy5dn5zEYzKw+bo
XJWzHzKvrt6URU4Qyfvz7uMckJvqnvFAnaxtZEREbqRkHlAeCoxxucQDpR8zyAnf
p0Wt6roDJfY0V/XaKX38RI/4P+DorRi5AQzjmKzfC9b5vLuiy9aqIE9c68cCokuW
3mmGe1LlDV1KL9bwqtqTAN8Mv4IJMJBEmEexI6KbLTIlr3w2I9JfABrvDTSpgQGh
JUI3ggs8XjbOGKAiS5bB
=Yd7g
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 08 Jun 2013 07:31:50 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 02:15:58 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.